<p id="notice"><%= notice %></p>

<div class="container">	
    <div class="row">
        <div class="col-md-1 col-md-2 profile-image-userprofile-container">
     		<% if @user.image? %>
	        	<%= image_tag @user.image_url, :class=>'profile-image-userprofile img-circle' %>
	        <% else %>
				<%= image_tag 'nopic.jpg', :class=>'profile-image-userprofile img-circle' %>
	        <% end %>
       	</div>
        <div style="float:left;padding:5px;text-align:center">
        	<%= @user.goals.count %><br /><h5>Goals</h5>
        </div>
        <div style="float:left;padding:5px;text-align:center">
        	<%=number_with_delimiter(@user.get_total_steps_so_far, delimiter:",")%><br /><h5>Steps</h5>
        </div>
    </div>
    
    <h4><%= @user.first_name %> <%=@user.last_name%></h4>

    <% @user.goals.each do |goal| %>
      <%
         #link_to 'Show', goal %>
      <%
         #link_to 'Edit', edit_goal_path(goal) %>
      <%
         #link_to 'Destroy', goal, method: :delete, data: { confirm: 'Are you sure?' } %>

     <% if goal.accept == 1 %>
      	<% if goal.num_of_steps_so_far >= goal.num_of_steps %>
        	<div class="row pretty-row finished-row">
        <% else %>
        	<div class="row pretty-row inprogress-row">
        <% end %>
      <% elsif goal.accept == 0 %>
      	<div class="row pretty-row rejected-row">
      <% else %>
        <div class="row pretty-row">
      <% end %>
        <div class="col-sm-4">
            <strong>"<%= link_to goal.name, edit_goal_path(goal) %>"</strong>
            <% if goal.accept == 1 %>
                <% if goal.num_of_steps_so_far.is_a? Integer %>
                    (<%=goal.num_steps_so_far_formatted%>/<%= goal.num_steps_formatted%> steps)
                <% else %>
                    (0/<%=goal.num_steps_formatted%> steps)
                <% end %>
            <% end %>
          <br />
          <% if goal.user_id == goal.challenger_id %>
            Individual challenge
          <% else %>
            <%=User.find_by_id(goal.challenger_id).first_name%>'s challenge
          <% end %>
          <br />
          <% if goal.accept == 1 %>
            <% if goal.num_of_steps_so_far >= goal.num_of_steps %>
                Goals Completed! - <%= time_ago_in_words(goal.updated_at) %> ago
            <% else %>
                In Progress - <%= time_ago_in_words(goal.updated_at) %> ago
                <%
                	percent_reached_so_far = goal.percent_reached_so_far
                	color_class = "progress-bar"
                	if percent_reached_so_far <= 25
                		color_class = "progress-bar progress-bar-danger"
                	elsif percent_reached_so_far <= 50
                		color_class = "progress-bar progress-bar-warning"
                	elsif percent_reached_so_far <= 75
                		color_class = "progress-bar progress-bar-info"
                	else
                		color_class = "progress-bar progress-bar-success"
                	end
               	%>
               	
                <div class="progress">
  					<div class="<%=color_class%>" role="progressbar" aria-valuenow="<%percent_reached_so_far%>" 
  						aria-valuemin="0" aria-valuemax="100" style="width:<%=percent_reached_so_far%>%;">
  						<%=percent_reached_so_far%> %
  					</div>
				</div>
            <% end %>
          <% elsif goal.accept == 0 %>
            Goal Rejected! - <%= time_ago_in_words(goal.updated_at) %> ago
          <% else %>
            <button type = "button" class="btn btn-primary btn-xs">
                  <%= link_to "Accept",
                    { :controller => 'goalaccepter',
                      :action => 'accept_goal',
                      :goal_id => goal.id,
                      :accept => 1 },
                    :method => 'POST',
                    :class=> 'btnlink-white'
                %>
            </button>
            <button type = "button" class="btn btn-danger btn-xs">
                <%= link_to "Reject",
                    { :controller => 'goalaccepter',
                      :action => 'accept_goal',
                      :goal_id => goal.id,
                      :accept => 0 },
                    :method => 'POST',
                    :class=> 'btnlink-white'
                %>
            </button>
            <br /><br />
          <% end %>
          	
        
          
        </div>
      </div>
      </tr>

  	<% end %>

    <br />
    <% if user_self_or_admin? %>
    	<%= link_to 'Edit', edit_user_path(@user) %> |
    <% end %>
    <%= link_to 'Back', users_path %>

</div>